> ## Documentation Index
> Fetch the complete documentation index at: https://docs.originsai.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Templates



## OpenAPI

````yaml https://originshq.b-cdn.net/openapi_sayna.json get /api/agent_templates
openapi: 3.1.0
info:
  title: core
  version: 0.1.0
servers: []
security: []
paths:
  /api/agent_templates:
    get:
      tags:
        - agent_templates
      summary: List Templates
      operationId: list_templates_api_agent_templates_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/AgentTemplateListItem'
                type: array
                title: Response List Templates Api Agent Templates Get
components:
  schemas:
    AgentTemplateListItem:
      properties:
        id:
          type: integer
          title: Id
        slug:
          type: string
          title: Slug
        name:
          type: string
          title: Name
        description:
          type: string
          title: Description
        tags:
          items:
            type: string
          type: array
          title: Tags
        category:
          anyOf:
            - type: string
            - type: 'null'
          title: Category
        template_version:
          type: integer
          title: Template Version
          default: 1
        enabled:
          type: boolean
          title: Enabled
          default: true
      type: object
      required:
        - id
        - slug
        - name
        - description
      title: AgentTemplateListItem

````